Python 互換性要件

リリース

Python APM クライアントライブラリは,ライブラリと Python ランタイムの異なるバージョンに対するサポートレベルを指定するバージョニングポリシーに従っています。

2 つのリリースブランチに対応しています。

リリースサポートレベル
<1メンテナンス
>=1.0,<2一般提供

また、このライブラリは以下のランタイムをサポートしています。

OSCPUランタイムランタイムバージョンddtrace のバージョンに対応
Linuxx86-64、i686、AArch64CPython2.7、3.5-3.10<2
MacOSIntel、Apple SiliconCPython2.7、3.5-3.10<2
Windows64bit、32bitCPython2.7、3.5-3.10<2

インテグレーション

ライブラリに関するサポートをご希望の場合は、サポートチームまでお気軽にお問い合わせください。

Web フレームワークの互換性

ddtrace ライブラリには、次のような数多くの Web フレームワークのサポートが含まれています。

フレームワークサポート対象のバージョン自動ライブラリドキュメント
asgi>= 2.0いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#asgi
aiohttp (クライアント)>= 2.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#aiohttp
aiohttp (サーバー)>= 2.0いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#aiohttp
Bottle0.11 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#bottle
CherryPy>= 11.2.0いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#cherrypy
Django1.8 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#django
djangorestframework3.4 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#django
Falcon1.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#falcon
Flask0.10 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#flask
FastAPI>= 0.51はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#fastapi
Molten0.7.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#molten
Pylons0.9.6 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pylons
Pyramid1.7 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pyramid
pytest3.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pytest
Sanic>= 19.6.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#sanic
Starlette>= 0.13.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#starlette
Tornado4.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#tornado

データストアの互換性

ddtrace ライブラリには、次のデータストアのサポートが含まれています。

data storeサポート対象のバージョン自動ライブラリドキュメント
algoliasearch>= 1.20.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#algoliasearch
asyncpg>= 0.18.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#asyncpg
Cassandra3.5 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#cassandra
Elasticsearch1.6 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#elasticsearch
Flask Cache0.12 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#flask-cache
Mariadb>= 1.0.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#mariadb
Memcached pylibmc1.4 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pylibmc
Memcached pymemcache1.3 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pymemcache
MongoDB Mongoengine0.11 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#mongoengine
MongoDB Pymongo3.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pymongo
MySQL MySQL-python1.2.3 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#module-ddtrace.contrib.mysqldb
MySQL mysqlclient1.3 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#module-ddtrace.contrib.mysqldb
MySQL mysql-connector2.1 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#mysql-connector
Postgres aiopg>= 0.12.0, <= 0.16はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#aiopg
Postgres psycopg2.4 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#module-ddtrace.contrib.psycopg
PyMySQL>= 0.7はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html?highlight=pymysql#pymysql
PynamoDB4.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pynamodb
PyODBC4.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#pyodbc
Redis2.6 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#redis
Redis redis-py-cluster1.3.5 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#module-ddtrace.contrib.rediscluster
SQLAlchemy1.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#sqlalchemy
SQLite3完全対応はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#sqlite
Vertica0.6 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#vertica

ライブラリの互換性

ddtrace ライブラリには、次のライブラリのサポートが含まれています。

ライブラリサポート対象のバージョン自動ライブラリドキュメント
aiobotocore0.2.3 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#aiobotocore
asyncio完全対応> Python 3.7 yeshttps://ddtrace.readthedocs.io/en/stable/integrations.html#asyncio
Botocore1.4.51 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#botocore
Boto22.29.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#boto2
Celery>= 3.1はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#celery
Consul>= 0.7はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#consul
Futures完全対応はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#futures
gevent1.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#gevent
Grpc1.8.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#grpc
httplib完全対応いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#httplib
Jinja22.7 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#jinja2
Kombu4.0 以降いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#kombu
Mako0.1.0 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#mako
Requests2.08 以降はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#requests
urllib3>= 1.22いいえhttps://ddtrace.readthedocs.io/en/stable/integrations.html#urllib3
graphql-core>= 2.0はいhttps://ddtrace.readthedocs.io/en/stable/integrations.html#graphql

その他の参考資料

お役に立つドキュメント、リンクや記事: